Package org.drinkless.tdlib

# Class TdApi.PhoneNumberInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PhoneNumberInfo

Enclosing class:
  `TdApi`

public static class TdApi.PhoneNumberInfo extends TdApi.Object
Contains information about a phone number.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.CountryInfo`
  `country`
  Information about the country to which the phone number belongs; may be null.
  `String`
  `countryCallingCode`
  The part of the phone number denoting country calling code or its part.
  `String`
  `formattedPhoneNumber`
  The phone number without country calling code formatted accordingly to local rules.
  `boolean`
  `isAnonymous`
  True, if the phone number was bought at https://fragment.com and isn't tied to a SIM card.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneNumberInfo()`
  Contains information about a phone number.
  `PhoneNumberInfo(TdApi.CountryInfo country, String countryCallingCode, String formattedPhoneNumber, boolean isAnonymous)`
  Contains information about a phone number.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### country

    @Nullable public TdApi.CountryInfo country
    Information about the country to which the phone number belongs; may be null.

  - ### countryCallingCode

    public String countryCallingCode
    The part of the phone number denoting country calling code or its part.

  - ### formattedPhoneNumber

    public String formattedPhoneNumber
    The phone number without country calling code formatted accordingly to local rules. Expected digits are returned as '-', but even more digits might be entered by the user.

  - ### isAnonymous

    public boolean isAnonymous
    True, if the phone number was bought at https://fragment.com and isn't tied to a SIM card. Information about the phone number can be received using getCollectibleItemInfo.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PhoneNumberInfo

    public PhoneNumberInfo()
    Contains information about a phone number.

  - ### PhoneNumberInfo

    public PhoneNumberInfo(TdApi.CountryInfo country, String countryCallingCode, String formattedPhoneNumber, boolean isAnonymous)
    Contains information about a phone number.
    Parameters:
      `country` - Information about the country to which the phone number belongs; may be null.
      `countryCallingCode` - The part of the phone number denoting country calling code or its part.
      `formattedPhoneNumber` - The phone number without country calling code formatted accordingly to local rules. Expected digits are returned as '-', but even more digits might be entered by the user.
      `isAnonymous` - True, if the phone number was bought at https://fragment.com and isn't tied to a SIM card. Information about the phone number can be received using getCollectibleItemInfo.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR